Subject: Re: B19 and NTemacs
From: [email-masked] (Erwin Achermann)

20 Mar 1998 15:12:15 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "[email-masked] \"[email-masked]\"" <[email-masked]>

This particular RCS problem was due to a bug in cygwinb19.dll.
readlink() was ill behaving. Chris Faylor patched this, and eventually
this patch will find its way into  the 'official' release (asside: which
one is THE official one?)...

Happy bug hunting :)

Erwin

Stefan Hornburg wrote:
> 
> Erwin Achermann <[email-masked]> writes:
> 
> > This is really disquieting. vc.el worked like a charm on 19.36.6 and B18
> > but after upgrading to B19, it sometimes fails to check a new version
> > in, with no warning what so ever. But upon co it howls "unexpected end
> > of file RCS/calc.y,v  co aborted" leaving me with a small portion of my
> > calc.y file....
> > What makes me really wonder is the fact that this is totally
> > reproducible on some files only...
> > Next when i try to co an old version trough emacs, it complains:" $1\":
> > -c: line 3: syntax error: unexpected end of file"
> >
> 
> We had here a problem with B18 diff and non-GnuWin32 RCS tools. With
> large files corruption of the RCS files occurs.
> 
> Ciao    Stefan
> --
> MKDIR pipe on netware with Windows* makes you wonder :-)
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Erwin Achermann                               Tel:      ++41 1 632 74 40
Institut fuer Wissenschaftliches Rechnen      Fax:      ++41 1 632 11 72
ETH Zentrum, IFW C29.2         mailto:[email-masked]  ICQ:4625051
CH-8092 Zuerich	               http://www.inf.ethz.ch/personal/acherman/
>  Perfection is reached, not when there is no longer anything to add, <
>  but when there is no longer anything to take away.                  <
>                                          -- Antoine de Saint-Exupery <
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".